<?php
/**
 *
 * @package mk_skin_switcher
 * @author Artbees - Bob Alpakar
 * @version 1.0
 *
 * @wordpress
 * Plugin Name: Artbees Skin Switcher
 * Description: Adds a box to the frontend to help users customise and see the theme capabilities.
 * Author: <a href="http://artbees.net">Artbees</a>
 * Version: 1.0
 */


function mk_switcher_head() {
	if(!is_admin()){
		wp_enqueue_style( 'mk-switcher-css', plugins_url('/', __FILE__) . 'stylesheet/css/switch-style.css', false, false, 'all' );
		wp_enqueue_script( 'mk-switcher-scripts', plugins_url('/', __FILE__) . 'js/scripts.js', array('jquery'), false)		
?>

<div id="sw-main-box">
		<div id="sw-open-icon"><a href="#"><i class="mk-icon-cog"></i></a></div>
		<p class="sw-title">layout</p>
		<section class="sw-layout clear">
			<div class="sw-option-left">
				<div class="sw-page-selector">
					<a href="http://artbees.net/themes/ken/"><i class="mk-theme-icon-multipage"></i>
					Multi page</a>
				</div>
			</div>
			<div class="sw-option-right">
				<div class="sw-page-selector">
					<a href="#"><i class="mk-theme-icon-singlepage"></i>
					One pages</a>
				</div>
			</div>
			<div class="clearboth"></div>
				<div class="sw-single-pages">
					<ul>
							<li><a href="http://artbees.net/themes/ken/rhapsody/"><i class="mk-theme-icon-next-small"></i>Rhapsody</a></li>
							<li><a href="http://artbees.net/themes/ken/night-vision/"><i class="mk-theme-icon-next-small"></i>Night Vision</a></li>
							<li><a href="http://artbees.net/themes/ken/pinnacle/"><i class="mk-theme-icon-next-small"></i>Pinnacle</a></li>
							<li><a href="http://artbees.net/themes/ken/hybrid/"><i class="mk-theme-icon-next-small"></i>Hybrid</a></li>
							<li><a href="http://artbees.net/themes/ken/fond/"><i class="mk-theme-icon-next-small"></i>Fond</a></li>
							<li><a href="http://artbees.net/themes/ken/canvas/"><i class="mk-theme-icon-next-small"></i>Canvas</a></li>
							<li><a href="http://artbees.net/themes/ken/facade/"><i class="mk-theme-icon-next-small"></i>Facade</a></li>
							<li><a href="http://artbees.net/themes/ken/charm/"><i class="mk-theme-icon-next-small"></i>Charm</a></li>
							<li><a href="http://artbees.net/themes/ken/shop-2/"><i class="mk-theme-icon-next-small"></i>Shop</a></li>
					</ul>
				</div>


			
			<div class="sw-option-left layout-switer-item">
				<div class="sw-page-selector">
					<a class="sw-wide-link mk-active" data-name="wide" href="#"><i class="mk-theme-icon-wide"></i>
					Wide Layout</a>
				</div>
			</div>
			<div class="sw-option-right layout-switer-item">
				<div class="sw-page-selector">
					<a class="sw-boxed-link" data-name="boxed" href="#"><i class="mk-theme-icon-boxed"></i>
					Boxed Layout</a>
				</div>
			</div>
		</section>
		<div class="sw-boxed-options">
			<section class="sw-patterns">
				<p class="sw-sub-title">Patterns</p>
				<p class="sw-description">Patterns are available in boxed mode</p>
				<hr>
				<ul>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/1.png" href="#" class="item1"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/2.png" href="#" class="item2"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/3.png" href="#" class="item3"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/4.png" href="#" class="item4"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/5.png" href="#" class="item5"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/6.png" href="#" class="item6"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/12.png" href="#" class="item7"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/8.png" href="#" class="item8"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/10.png" href="#" class="item9"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/9.png" href="#" class="item10"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/11.png" href="#" class="item11"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>patterns/12.png" href="#" class="item12"></a></li>

				</ul>
			</section>
			<hr>
			<section class="sw-images">
				<p class="sw-sub-title">Images</p>
				<hr>
				<ul>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>predefined-images/demo-bg-1.jpg" href="#" class="item1"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>predefined-images/demo-bg-2.jpg" href="#" class="item2"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>predefined-images/demo-bg-3.jpg" href="#" class="item3"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>predefined-images/demo-bg-4.jpg" href="#" class="item4"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>predefined-images/demo-bg-5.jpg" href="#" class="item5"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>predefined-images/demo-bg-6.jpg" href="#" class="item6"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>predefined-images/demo-bg-7.png" href="#" class="item7"></a></li>
					<li><a data-image="<?php echo plugins_url('/', __FILE__); ?>predefined-images/demo-bg-8.jpg" href="#" class="item8"></a></li>
				</ul>
			</section>
		</div>
		<p class="sw-title">Skin Color</p>
		<section class="sw-skin-color">
				<ul>
		
					<li><a style="background-color:#ff4351" href="?skin=ff4351"></a></li>
					<li><a style="background-color:#fe9949" href="?skin=fe9949"></a></li>
					<li><a style="background-color:#ffd728" href="?skin=ffd728"></a></li>
					<li><a style="background-color:#a5de37" href="?skin=a5de37"></a></li>
					<li><a style="background-color:#6ff467" href="?skin=6ff467"></a></li>
					<li><a style="background-color:#ff4229" href="?skin=ff4229"></a></li>
					<li><a style="background-color:#1b9af7" href="?skin=1b9af7"></a></li>
					<li><a style="background-color:#7b7be9" href="?skin=7b7be9"></a></li>
					<li><a style="background-color:#b9acf4" href="?skin=b9acf4"></a></li>
					<li><a style="background-color:#db49d8" href="?skin=db49d8"></a></li>
					<li><a style="background-color:#ed4694" href="?skin=ed4694"></a></li>
					<li><a style="background-color:#28cdfb" href="?skin=28cdfb"></a></li>
				</ul>
		</section>
	</div>	
<?php 

	}
}

add_action('wp_footer', 'mk_switcher_head');

